complexType "PrevailingTime"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | hourMinuteTime, location
</...>

Content Model Elements (2):

  hourMinuteTime (defined in PrevailingTime complexType), | location (defined in PrevailingTime complexType)

All Direct / Indirect Based Elements (6):

  expirationTime (in americanExercise in physicalExercise),
  expirationTime (in europeanExercise in physicalExercise),
  latestExerciseTime (in americanExercise in physicalExercise),
  supplyEndTime,
  supplyStartTime,
  time (defined in OffsetPrevailingTime complexType)

Known Usage Locations

- As direct type of elements (6):
  expirationTime (in americanExercise in physicalExercise),
  expirationTime (in europeanExercise in physicalExercise),
  latestExerciseTime (in americanExercise in physicalExercise),
  supplyEndTime,
  supplyStartTime,
  time (defined in OffsetPrevailingTime complexType)

Annotation
A type for defining a time with respect to a geographic location, for example 11:00 Phoenix, USA. This type should be used where a wider range of locations than those available as business centres is required.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PrevailingTime"> <xsd:sequence> <xsd:element name="hourMinuteTime" type="HourMinuteTime"/> <xsd:element name="location" type="TimezoneLocation"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
hourMinuteTime

  Type: | HourMinuteTime, simple content

  A time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00.
  Simple Content

  xsd:time

  Pattern: | [0-2][0-9]:[0-5][0-9]:00

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="hourMinuteTime" type="HourMinuteTime"/>

location

  Type: | TimezoneLocation, simple content

  The geographic location to which the hourMinuteTime applies. The time takes into account any current day light saving changes or other adjustments i.e. it is the prevaling time at the location.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="location" type="TimezoneLocation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.